Bug 206744 - www/cgichk - make not BROKEN, add LICENSE
Summary: www/cgichk - make not BROKEN, add LICENSE
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2016-01-29 19:18 UTC by Chris Hutchinson
Modified: 2016-02-09 03:40 UTC (History)
2 users (show)

See Also:


Attachments
svn diff to fix www/cgichk (patch) (1005 bytes, patch)
2016-01-29 19:18 UTC, Chris Hutchinson
portmaster: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Hutchinson 2016-01-29 19:18:07 UTC
Created attachment 166278 [details]
svn diff to fix www/cgichk (patch)

Let's ease the pressure on distcache, shall we? :)

CHANGES

MASTER_SITES
DISTFILE - rename, in order to conform to port framework
(adds) LICENSE
MAINTAINER
distinfo - update to reflect DISTFILE change

Proof it works... :)

# make -DBATCH extract

===>  License GPLv2 accepted by the user
===>   cgichk-2.60_1 depends on file: /usr/local/sbin/pkg - found
=> cgichk-2.60.tar.gz doesn't seem to exist in /usr/ports/distfiles/.
=> Attempting to fetch http://BSDforge.com/projects/source/www/cgichk/cgichk-2.60.tar.gz
cgichk-2.60.tar.gz                            100% of   15 kB  622 kBps 00m00s
===> Fetching all distfiles required by cgichk-2.60_1 for building
===>  Extracting for cgichk-2.60_1
=> SHA256 Checksum OK for cgichk-2.60.tar.gz.


That's it!

Thank you!

--Chris

maintained by ports@ -- implicit approval
Comment 1 Kurt Jaeger freebsd_committer 2016-02-08 17:48:30 UTC
why did you change the distfile from -2.60 to _2.60 ?
Comment 2 Chris Hutchinson 2016-02-09 02:28:15 UTC
(In reply to Kurt Jaeger from comment #1)
> why did you change the distfile from -2.60 to _2.60 ?

I didn't. I changed it the other way round.
Please look again. :)
Comment 3 Kurt Jaeger freebsd_committer 2016-02-09 03:40:10 UTC
Committed, thanks.
Comment 4 commit-hook freebsd_committer 2016-02-09 03:40:12 UTC
A commit references this bug:

Author: pi
Date: Tue Feb  9 03:39:55 UTC 2016
New revision: 408533
URL: https://svnweb.freebsd.org/changeset/ports/408533

Log:
  www/cgichk: new distsite, new maintainer, add LICENSE, unbreak

  PR:		206744
  Submitted by:	Chris Hutchinson <portmaster@bsdforge.com>

Changes:
  head/www/cgichk/Makefile
  head/www/cgichk/distinfo